## q2-taxa 2024.5.0+dfsg

=== Makefile ===
.PHONY: all lint test test-cov viz-barplot install dev clean distclean

PYTHON ?= python

all: viz-barplot

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_taxa

q2_taxa/assets/barplot/dist:
	cd q2_taxa/assets/barplot && \
	npm install --no-save && \
	npm run build && \
	cp licenses/* dist/

viz-barplot: q2_taxa/assets/barplot/dist

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean
	rm -rf q2_taxa/assets/barplot/node_modules

distclean:
	rm -rf q2_taxa/assets/barplot/dist

## q2-taxa 2020.11.1+dfsg

=== debian/changelog ===
q2-taxa (2020.11.1+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Add skip-not-installable restriction

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 06 Feb 2021 17:23:35 +0530

q2-taxa (2020.11.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2021 07:20:39 +0100

q2-taxa (2020.11.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * Initial release (Closes: #932050)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 13 Jan 2021 17:41:41 +0100

=== debian/control ===
Source: q2-taxa
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-pytest-cov,
               python3-pandas,
               nodejs,
               qiime (>= 2020.11.0),
               q2templates,
               q2-types,
               node-webpack,
               node-uglifyjs-webpack-plugin,
               node-babel-loader,
               node-d3-scale-chromatic,
               node-natural-sort,
               node-thenby,
               node-d3
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-taxa
Vcs-Git: https://salsa.debian.org/med-team/q2-taxa.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-taxa
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-pandas,
         qiime,
         q2templates,
         q2-types,
         node-d3-scale-chromatic,
         node-natural-sort,
         node-thenby
Description: QIIME 2 plugin for working with feature taxonomy annotations
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/,repacksuffix=+dfsg,repack,compression=xz,dversionmangle=auto" \
  https://github.com/qiime2/q2-taxa/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-taxa 2021.8.0+dfsg

=== debian/changelog ===
q2-taxa (2021.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fixed d/u/watch - now finds new version to download

  [ Nilesh Patra ]
  * d/salsa-ci.yml: Disable build on i386 due to missing python3-skbio

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Versioned (Build-)Depends from qiime and its modules (>= 2021.8.0)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 14:21:11 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                python3-pytest-cov,
                python3-pandas,
                nodejs,
-               qiime (>= 2020.11.0),
-               q2templates,
-               q2-types,
+               qiime (>= 2021.8.0),
+               q2templates (>= 2021.8.0),
+               q2-types (>= 2021.8.0),
                node-webpack,
                node-uglifyjs-webpack-plugin,
                node-babel-loader,
@@ -21,7 +21,7 @@
                node-natural-sort,
                node-thenby,
                node-d3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-taxa
 Vcs-Git: https://salsa.debian.org/med-team/q2-taxa.git
 Homepage: https://qiime2.org/
@@ -33,9 +33,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime,
-         q2templates,
-         q2-types,
+         qiime (>= 2021.8.0),
+         q2templates (>= 2021.8.0),
+         q2-types (>= 2021.8.0),
          node-d3-scale-chromatic,
          node-natural-sort,
          node-thenby

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

export PYBUILD_BEFORE_TEST=mkdir -v {build_dir}/q2_taxa/assets/barplot/dist

export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/.coverage*

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd q2_taxa/assets/barplot && \
	webpack --bail

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_taxa"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f q2_taxa.egg-info/PKG-INFO q2_taxa.egg-info/SOURCES.txt q2_taxa.egg-info/dependency_links.txt q2_taxa.egg-info/entry_points.txt q2_taxa.egg-info/not-zip-safe q2_taxa.egg-info/top_level.txt

## q2-taxa 2022.2.0+dfsg

=== debian/changelog ===
q2-taxa (2022.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Mon, 11 Jul 2022 19:09:51 +0200

q2-taxa (2021.8.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Replace node-uglifyjs-webpack-plugin by node-terser-webpack-plugin
    Closes: #1011446

  [ Pirate Praveen ]
  * Switch to terser-webpack-plugin (uglifyjs-webpack-plugin is deprecated)

 -- Andreas Tille <tille@debian.org>  Mon, 23 May 2022 08:13:52 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                qiime (>= 2021.8.0),
                q2templates (>= 2021.8.0),
                q2-types (>= 2021.8.0),
-               node-webpack,
-               node-uglifyjs-webpack-plugin,
+               webpack (>= 5.0~),
+               node-terser-webpack-plugin,
                node-babel-loader,
                node-d3-scale-chromatic,
                node-natural-sort,
                node-thenby,
                node-d3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-taxa
 Vcs-Git: https://salsa.debian.org/med-team/q2-taxa.git
 Homepage: https://qiime2.org/

## q2-taxa 2022.11.1+dfsg

=== debian/changelog ===
q2-taxa (2022.11.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 19:13:27 +0100

q2-taxa (2022.11.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bump versioned Depends
  * Standards-Version: 4.6.2 (routine-update)
  * Delaying true testing to autopkgtests since QIIME2 module cannot be
    registered at build time.

 -- Andreas Tille <tille@debian.org>  Fri, 13 Jan 2023 12:36:31 +0100

q2-taxa (2022.8.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0+dfsg
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 06 Sep 2022 23:27:28 +0530

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                python3-pytest-cov,
                python3-pandas,
                nodejs,
-               qiime (>= 2021.8.0),
-               q2templates (>= 2021.8.0),
-               q2-types (>= 2021.8.0),
+               qiime (>= 2022.11.1),
+               q2templates (>= 2022.11.1),
+               q2-types (>= 2022.11.1),
                webpack (>= 5.0~),
                node-terser-webpack-plugin,
                node-babel-loader,
@@ -21,7 +21,7 @@
                node-natural-sort,
                node-thenby,
                node-d3
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-taxa
 Vcs-Git: https://salsa.debian.org/med-team/q2-taxa.git
 Homepage: https://qiime2.org/
@@ -33,9 +33,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2021.8.0),
-         q2templates (>= 2021.8.0),
-         q2-types (>= 2021.8.0),
+         qiime (>= 2022.11.1),
+         q2templates (>= 2022.11.1),
+         q2-types (>= 2022.11.1),
          node-d3-scale-chromatic,
          node-natural-sort,
          node-thenby

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,11 @@
 	cd q2_taxa/assets/barplot && \
 	webpack --bail
 
+#FIXME: Delaying true testing to autopkgtests since QIIME2 module cannot be registered
+#       at build time.
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_taxa"
+	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_taxa" || true
 endif
 
 override_dh_auto_clean:

## q2-taxa 2024.2.0+dfsg

=== debian/changelog ===
q2-taxa (2024.2.0+dfsg-1ubuntu1) oracular; urgency=medium

  * d/p/python3.12.patch: add support for python 3.12

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 03 Jun 2024 15:49:34 -0300

q2-taxa (2024.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 15:09:41 +0100

q2-taxa (2023.9.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Patch for Pandas 2.0 (Thanks a lot to  s3v <c0llapsed@yahoo.it>)
    Closes: #1053943

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 19:53:40 +0100

q2-taxa (2023.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)
  * Fix clean target
    Closes: #1048362

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 16:45:37 +0100

q2-taxa (2023.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2023.7.0+dfsg (Closes: #1044061)
  * 0002-skip-tests-needing-internet.patch: new.

 -- Étienne Mollier <emollier@debian.org>  Sun, 20 Aug 2023 17:36:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
+# This file is autogenerated from control.in to update versioned dependencies
 Source: q2-taxa
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3,
                python3-setuptools,
                python3-pytest-cov,
                python3-pandas,
                nodejs,
-               qiime (>= 2022.11.1),
-               q2templates (>= 2022.11.1),
-               q2-types (>= 2022.11.1),
+               qiime (>= 2024.2),
+               q2templates (>= 2024.2),
+               q2-types (>= 2024.2),
                webpack (>= 5.0~),
                node-terser-webpack-plugin,
                node-babel-loader,
@@ -33,9 +35,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2022.11.1),
-         q2templates (>= 2022.11.1),
-         q2-types (>= 2022.11.1),
+         qiime (>= 2024.2),
+         q2templates (>= 2024.2),
+         q2-types (>= 2024.2),
          node-d3-scale-chromatic,
          node-natural-sort,
          node-thenby

## q2-taxa 2024.5.0+dfsg

=== debian/changelog ===
q2-taxa (2024.5.0+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:38:27 +0200

q2-taxa (2024.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 13:32:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 # This file is autogenerated from control.in to update versioned dependencies
 Source: q2-taxa
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
            Steffen Moeller <moeller@debian.org>
 Section: science
@@ -13,9 +12,9 @@
                python3-pytest-cov,
                python3-pandas,
                nodejs,
-               qiime (>= 2024.2),
-               q2templates (>= 2024.2),
-               q2-types (>= 2024.2),
+               qiime (>= 2024.5),
+               q2templates (>= 2024.5),
+               q2-types (>= 2024.5),
                webpack (>= 5.0~),
                node-terser-webpack-plugin,
                node-babel-loader,
@@ -35,9 +34,9 @@
          ${misc:Depends},
          ${python3:Depends},
          python3-pandas,
-         qiime (>= 2024.2),
-         q2templates (>= 2024.2),
-         q2-types (>= 2024.2),
+         qiime (>= 2024.5),
+         q2templates (>= 2024.5),
+         q2-types (>= 2024.5),
          node-d3-scale-chromatic,
          node-natural-sort,
          node-thenby

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,15 @@
 
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/.coverage*
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts="repack,repacksuffix=+dfsg,dversionmangle=auto,compression=xz,\
   filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%q2-taxa-$1.tar.gz%" \
   https://github.com/qiime2/q2-taxa/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
